<div id="edit-shop-container">
    <div id="edit-shop-control-container">
        <button class="defaultBtn" (click)="onSave()"><span>{{ "Save" | localize }}</span></button>
        <button class="defaultBtn" (click)="onAdd()"><span>{{ "AddNew" | localize }}</span></button>
    </div>

    <div class="edit-shop-item" *ngFor="let shop of shops">
        <div class="edit-shop-item-fields-container" [ngClass]="shop.toRemove ? 'to-remove edit-shop-item-fields-container' : 'edit-shop-item-fields-container'">
            <div class="edit-shop-item-fields">
                <label class="edit-field-label">{{ "NameEn" | localize }}</label>
                <input class="edit-field-input" type="text" spellcheck="false" [(ngModel)]="shop.nameEn" (ngModelChange)="onModelChanged(shop)">
            </div>
            <div class="edit-shop-item-fields">
                <label class="edit-field-label">{{ "NameUk" | localize }}</label>
                <input class="edit-field-input" type="text" spellcheck="false" [(ngModel)]="shop.nameUk" (ngModelChange)="onModelChanged(shop)">
            </div>
        </div>
        <img class="remove-img" src="assets/remove.png" (click)="onRemove(shop)">
    </div>
</div>